spring:
  profiles:
    active: dev
  application:
    name: ruoyi-im-server

websocket:
  enable: true
  port: 8528

tcpsocket:
  enable: false # 暂时不开启
  port: 8879

logging:
  level:
    org:
      springframework:
        data:
          redis: TRACE # 查看Redis操作细节
    io.lettuce.core: DEBUG # 如果使用Lettuce，关注WARN以上错误
    com.ruoyi: DEBUG

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: 4b5c4d8cc1a5d54afac74291c8f43dc6
  # 令牌有效期（ 3000分钟）
  expireTime: 1800

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /api/*,/tool/*
